using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

[System.Serializable]
public class EncyclopediaCategory : MonoBehaviour
{
    public string title = "Encyclopedia Category";
    public string id = "Unique ID #123";
    public Sprite icon;
    public GameObject buttonPrefab;
    public string layoutName = "default-view";
    public bool showSubMenu = true;

    public virtual List<EncyclopediaArticle> GetArticles()
    {
        return new List<EncyclopediaArticle>();
    }

    public virtual void UpdateArticles()
    {
        Debug.Log("Wrong class, no article here.");
    }

}
